Bug 814576

Summary: grub menu not updated after preupgrade
Product: [Fedora] Fedora Reporter: birger <birger>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: hughsient
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 20:38:53 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description birger 2012-04-20 03:11:09 EDT
Description of problem:
I have upgraded 2 systems from f16 to f17 using preupgrade. one is i686 (IBM ThinkPad X31) and the other is x86_64 (Acer Iconia Tab W500). The tablet boots from sd-card.

Both upgrade fine without any errors, but after reboot only the old f16 kernels are listed. I managed to boot one of the old kernels (lots of error messages, but it came up) and ran

grub2-mkconfig -o /boot/grub2/grub.cfg

this succeeded, and at reboot the menu was correct.

Version-Release number of selected component (if applicable):


How reproducible:
I did this 2 days ago and it was the same on both architectures.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: Both systems were patched up minutes prior to the upgrade. all .rpmnew files had been fixed up manually. the acer was a plain f16 install, the thinkpad has had a lot of tweaking.
Comment 1 Fedora End Of Life 2013-07-03 18:38:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 20:38:57 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.